package cn.timer.api.dao.qyzx;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;

import cn.timer.api.bean.qyzx.QyzxOperLog;
import cn.timer.api.dto.qyzx.QyzxOperLogQuaryDto;

/**
 * 操作日志 数据层
 * 
 * @author Tang
 */
public interface QyzxOperLogMapper extends BaseMapper<QyzxOperLog> {
//	/**
//	 * 新增操作日志
//	 * 
//	 * @param operLog 操作日志对象
//	 */
//	public void insertOperlog(QyzxOperLog operLog);
//
	/**
	 * 查询系统操作日志集合
	 * 
	 * @param operLog 操作日志对象
	 * @return 操作日志集合
	 */
	public IPage<QyzxOperLog> selectPageByQuery(IPage<QyzxOperLog> page,@Param("param") QyzxOperLogQuaryDto operLog);
//
//	/**
//	 * 批量删除系统操作日志
//	 * 
//	 * @param operIds 需要删除的操作日志ID
//	 * @return 结果
//	 */
//	public int deleteOperLogByIds(Long[] operIds);
//
//	/**
//	 * 查询操作日志详细
//	 * 
//	 * @param operId 操作ID
//	 * @return 操作日志对象
//	 */
//	public QyzxOperLog selectOperLogById(Long operId);
//
//	/**
//	 * 清空操作日志
//	 */
//	public void cleanOperLog();
}
