package cn.timer.api.dto.jxgl;

import javax.validation.constraints.NotNull;

import cn.timer.api.config.exception.ValidationMsg;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AppraisalUpdateSts {

	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value = "绩效考核id", example = "")
	private Integer id;
	
	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value = "状态", example = "")
	private Integer sts;
	
}
