package cn.timer.api.dto.kqmk;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author 考勤出差外出审批
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttEvectionApprovalDto {
	
	@ApiModelProperty(value = "出差外出id", example = "")
	private int evectionid;
	
	@ApiModelProperty(value = "用户id", example = "")
	private int userid;

	@ApiModelProperty(value = "开始时间", example = "时间戳")
	private long starttime;

	@ApiModelProperty(value = "结束时间", example = "时间戳")
	private long endtime;

	@ApiModelProperty(value = "时长", example = "")
	private double duration;

	@ApiModelProperty(value = "类型", example = "1：出差；2：外出")
	private int evectiontype;
}
