package cn.timer.api.dto.kqmk;

import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttendanceSummaryQueryDto extends Page {
	private Integer orgCode;

	@ApiModelProperty(value = "关键字", example = "")
	private String query;
	private String times;
	private Integer attid;

	private String year;
	private String month;
	private String staapptime;
	private String endapptime;
}
