package cn.timer.api.dto.jxgl;

import java.util.List;

import javax.validation.constraints.NotNull;

import cn.timer.api.config.exception.ValidationMsg;
import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EmpPerformanceQuery extends Page {

	@ApiModelProperty(value = "企业id", example = "")
	private Integer orgCode;

	@ApiModelProperty(value = "姓名、手机号", example = "")
	private String query;

	@ApiModelProperty(value = "部门id", example = "")
	private Integer bmId;
	
	@ApiModelProperty(value = "员工id", example = "")
	private List<Integer> empNums;
	
	

}
