package cn.timer.api.dto.kqmk;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EmployeeLeaveBalanceDto {

	@ApiModelProperty(value = "员工工号 ", example = "字段说明")
	private Integer empnum;

	@ApiModelProperty(value = "员工名称 ", example = "字段说明")
	private String empname;

	@ApiModelProperty(value = "部门 ", example = "字段说明")
	private String department;

	@ApiModelProperty(value = "入职日期 ", example = "字段说明")
	private String rztime;

	@ApiModelProperty(value = "表数据", example = "字段说明")
	List<BalanceSheetDataDto> balanceTo;
}
